%define _altdata_dir %_datadir/alterator

Name: alterator-net-junior
Version: 0.1
Release: alt14

BuildArch: noarch

Source: %name-%version.tar

Summary: alterator module for general network settings
License: GPL

%add_findreq_skiplist %_datadir/install2/preinstall.d/*

Group: System/Configuration/Other
Requires: alterator >= 2.9 gettext dhcpcd
Requires: alterator-sh-functions libshell >= 0.0.1-alt4
Requires: alterator-net-common
Requires: alterator-net-wifi
Packager: Andriy Stepanov <stanv@altlinux.ru>

BuildPreReq: alterator >= 2.9-alt0.10, alterator-fbi >= 0.7-alt1

%description
alterator module for general network settings

%prep
%setup

%build
%make_build libdir=%_libdir

%install
%makeinstall
%find_lang %name

%files -f %name.lang
%_altdata_dir/applications/*
%_altdata_dir/ui/*/
%_alterator_backend3dir/*
%_datadir/install2/preinstall.d/*

%changelog
* Fri May 30 2008 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt14
- Add constraints

* Tue May 20 2008 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt13
- Fix preinstall.d

* Mon May 19 2008 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt12
- Fix preinstall.d script. Fix dhcp-ipv4ll.

* Mon May 05 2008 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt11
- Add files for stage2 (use variables from propagator).

* Wed Mar 12 2008 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt10
- Bug 14696

* Fri Feb 29 2008 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt9
- use libshell
- little code bugfixes and improvements

* Thu Feb 21 2008 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt8
- Display only in QT browser

* Wed Dec 12 2007 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt7
- gvy: "fix translation"

* Tue Dec 11 2007 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt6
- Kirill Maslinsky: change "Full Host Name" to "Fully Qualified Host Name"

* Wed Nov 07 2007 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt5
- Add support for wifi

* Wed Oct 31 2007 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt4
- Add iftabupdate  maskname ifaceinfo from alterator-net-common

* Thu Oct 18 2007 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt3
- Missed bracket, checkbox, dhcp-ipv4ll, russian translation

* Mon Sep 24 2007 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt2
  - add functions "maskname" and "ifaceinfo"
  - install functions bug
  - delete debug info from backend

* Mon Sep 17 2007 Andriy Stepanov <stanv@altlinux.ru> 0.1-alt1
- clone from net-eth and net-general
